{
  "schema_version": "1.4.0",
  "id": "GHSA-qx8v-hqmp-3927",
  "modified": "2022-11-14T19:00:25Z",
  "published": "2022-05-24T16:55:44Z",
  "aliases": [
    "CVE-2019-16167"
  ],
  "details": "sysstat before 12.1.6 has memory corruption due to an Integer Overflow in remap_struct() in sa_common.c.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2019-16167"
    },
    {
      "type": "WEB",
      "url": "https://github.com/sysstat/sysstat/issues/230"
    },
    {
      "type": "WEB",
      "url": "https://github.com/sysstat/sysstat/compare/v12.1.5...v12.1.6"
    },
    {
      "type": "WEB",
      "url": "https://lists.debian.org/debian-lts-announce/2022/11/msg00014.html"
    },
    {
      "type": "WEB",
      "url": "https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/RVSMKUPWIGQYX4G5LZXL7ZBJN3KY6RM3"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/4242-1"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2019-10/msg00067.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2019-10/msg00068.html"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190",
      "CWE-787"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2019-09-09T17:15:00Z"
  }
}